org.apache.ignite.internal.processors.cache

## Class ClientCacheChangeDummyDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.ClientCacheChangeDummyDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage, CachePartitionExchangeWorkerTask

    public class ClientCacheChangeDummyDiscoveryMessage
    extends Object
    implements DiscoveryCustomMessage, CachePartitionExchangeWorkerTask

Dummy discovery message which is not really sent via ring, it is just added in local discovery worker queue.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheChangeDummyDiscoveryMessage(UUID reqId, Map<String,DynamicCacheChangeRequest> startReqs, Set<String> cachesToClose)`

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`IgniteUuid` `id()`
`boolean` `isMutable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientCacheChangeDummyDiscoveryMessage

    public ClientCacheChangeDummyDiscoveryMessage(UUID reqId,
                                          @Nullable
                                          Map<String,DynamicCacheChangeRequest> startReqs,
                                          @Nullable
                                          Set<String> cachesToClose)

Parameters:
  `reqId` - Start request ID.
  `startReqs` - Caches start requests.
  `cachesToClose` - Cache to close.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017